CREATE TABLE egp_trans_attrs_metadata (
    TRANS_ATTR_METADATA_ID    NUMBER(18, 0) ,
    DEFAULT_VALUE_ID          NUMBER(18, 0) ,
    INHERIT_FLAG              VARCHAR2(4)   ,
    TRANS_ATTR_ID             NUMBER(18, 0)     NOT NULL,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE          ,
    OBJECT_NAME               VARCHAR2(120)     NOT NULL,
    DOMAIN_CODE               VARCHAR2(120)     NOT NULL,
    PK1_VALUE                 NUMBER(18, 0)     NOT NULL,
    PK2_VALUE                 NUMBER(18, 0) ,
    PK3_VALUE                 NUMBER(18, 0) ,
    PK4_VALUE                 NUMBER(18, 0) ,
    PK5_VALUE                 NUMBER(18, 0) ,
    UOM_CODE                  VARCHAR2(12)  ,
    REQUIRED_FLAG             VARCHAR2(4)   ,
    HIDDEN_FLAG               VARCHAR2(4)   ,
    READONLY_FLAG             VARCHAR2(4)   ,
    NUMBER_VALUE              VARCHAR2(1024),
    VARCHAR_VALUE             VARCHAR2(256) ,
    DATE_VALUE                DATE          ,
    TIMESTAMP_VALUE           TIMESTAMP(6)  ,
    VALUE_SET_ID              NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    TRANS_ATTR_DOMAIN_ID      NUMBER(18, 0)     NOT NULL,
    INACTIVE_FLAG             VARCHAR2(4)   ,
    TRANS_ATTR_METADATA_ID    NUMBER(18, 0) ,
    INHERIT_FLAG              VARCHAR2(4)   ,
    TRANS_ATTR_ID             NUMBER(18, 0)     NOT NULL,
    START_DATE                DATE              NOT NULL,
    END_DATE                  DATE          ,
    OBJECT_NAME               VARCHAR2(120)     NOT NULL,
    DOMAIN_CODE               VARCHAR2(120)     NOT NULL,
    PK1_VALUE                 NUMBER(18, 0)     NOT NULL,
    PK2_VALUE                 NUMBER(18, 0) ,
    PK3_VALUE                 NUMBER(18, 0) ,
    PK4_VALUE                 NUMBER(18, 0) ,
    PK5_VALUE                 NUMBER(18, 0) ,
    UOM_CODE                  VARCHAR2(12)  ,
    REQUIRED_FLAG             VARCHAR2(4)   ,
    HIDDEN_FLAG               VARCHAR2(4)   ,
    READONLY_FLAG             VARCHAR2(4)   ,
    NUMBER_VALUE              VARCHAR2(1024),
    VARCHAR_VALUE             VARCHAR2(256) ,
    DATE_VALUE                DATE          ,
    TIMESTAMP_VALUE           TIMESTAMP(6)  ,
    VALUE_SET_ID              NUMBER(18, 0)     NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    TRANS_ATTR_DOMAIN_ID      NUMBER(18, 0)     NOT NULL,
    INACTIVE_FLAG             VARCHAR2(4)   ,
    DEFAULT_VALUE_ID          NUMBER(18, 0) ,
    CONSTRAINT pk_egp_trans_attrs_metadata PRIMARY KEY (TRANS_ATTR_METADATA_ID, TRANS_ATTR_METADATA_ID)
);
